#include <iostream>
#include <fstream>
#include <string>

using namespace std;

ofstream outputFile;
// create a name for the file output
std::string filename = "output.csv";

int i;
int A;
int B;
int C;

double A_param = 5;
double B_param = 10;
double C_param = 15;

int main(int argc, char** argv)
{
    if(argc!=5) {
        printf("Incorrect program arguments\n");
        return -1;
        }

    if(argc==5)
    {
        A_param = std::stod(argv[1]);
        B_param = std::stod(argv[2]);
        C_param = std::stod(argv[3]);
        filename = argv[4];

    }
    // create and open the .csv file
    outputFile.open(filename);

    // write the file headers
    outputFile << "energy," << "int_flux," << "diff_flux" << std::endl;
    outputFile << "species," << "proton," << "helium" << std::endl;

    i = 1;

    // write data to the file
    for (int counter = 0; counter <  10; counter++)
    {
        // make some data
        A = i + A_param;
        B = i + B_param;
        C = i + C_param;

        // write the data to the output file
        outputFile << A << "," << B << "," << B / 10.0 << "," << C << "," << C / 10.0 << std::endl;

        // increase i
        i = i * 5;
    }

    outputFile.close();
    std::cout << filename << std::endl;
    return 0;
}
